# Uses of Interface
org.jboss.logmanager.LogContextSelector

Packages that use LogContextSelector
Package
Description
org.jboss.logmanager

## Uses of LogContextSelector in org.jboss.logmanager

Classes in org.jboss.logmanager that implement LogContextSelector
Modifier and Type
Class
Description
`final class`
`CallerClassLoaderLogContextSelector`
A log context selector which chooses a log context based on the caller's classloader.
`final class`
`ClassLoaderLogContextSelector`
A log context selector which chooses a log context based on the caller's classloader.
`final class`
`ContextClassLoaderLogContextSelector`
A log context selector which chooses a log context based on the thread context classloader.
`final class`
`ThreadLocalLogContextSelector`
A log context selector which stores the chosen log context in a thread-local.
Fields in org.jboss.logmanager declared as LogContextSelector
Modifier and Type
Field
Description
`static final LogContextSelector`
LogContext.`DEFAULT_LOG_CONTEXT_SELECTOR`
The default log context selector, which always returns the system log context.
Methods in org.jboss.logmanager that return LogContextSelector
Modifier and Type
Method
Description
`static LogContextSelector`
LogContext.`getLogContextSelector()`
Returns the currently set log context selector.
`LogContextSelector`
LogContextSelectorService.`getSelector()`
Get the selector to install.
Methods in org.jboss.logmanager with parameters of type LogContextSelector
Modifier and Type
Method
Description
`static void`
LogContext.`setLogContextSelector(LogContextSelector newSelector)`
Set a new log context selector.
`void`
LogContextSelectorService.`setSelector(LogContextSelector selector)`
Set the selector to install.
Constructors in org.jboss.logmanager with parameters of type LogContextSelector
Modifier
Constructor
Description
``
`CallerClassLoaderLogContextSelector(LogContextSelector defaultSelector)`
Construct a new instance.
``
`CallerClassLoaderLogContextSelector(LogContextSelector defaultSelector, boolean checkParentClassLoaders)`
Construct a new instance.
``
`ClassLoaderLogContextSelector(LogContextSelector defaultSelector)`
Construct a new instance.
``
`ClassLoaderLogContextSelector(LogContextSelector defaultSelector, boolean checkParentClassLoaders)`
Construct a new instance.
``
`ContextClassLoaderLogContextSelector(LogContextSelector defaultSelector)`
Construct a new instance.
``
`ThreadLocalLogContextSelector(Object securityKey, LogContextSelector delegate)`
Construct a new instance.
``
`ThreadLocalLogContextSelector(LogContextSelector delegate)`
Construct a new instance.